import request from '@/utils/request'

// 篮球列表
export function bbInfo(data) {
  return request({
    url: '/tc/bbInfo/list',
    method: 'post',
    data: data
  })
}

// 足球列表
export function Info(data) {
  return request({
    url: '/tc/info/list',
    method: 'post',
    data: data
  })
}


// 报告详情
export function reportDetail(id, modelType) {
  return request({
    url: `/tc/report/${id}?modelType=${modelType}`,
    method: 'get'
  })
}

// 详情
export function detail(data) {
  return request({
    url: '/tc/report/detail',
    method: 'post',
    data: data
  })
}


// 联赛类型-足球
export function infoSelectDistinctLeagueAbbNames(data) {
  return request({
    url: '/tc/info/selectDistinctLeagueAbbNames',
    method: 'post',
    data: data
  })
}


// 联赛类型-篮球
export function bbInfoSelectDistinctLeagueAbbNames(data) {
  return request({
    url: '/tc/bbInfo/selectDistinctLeagueAbbNames',
    method: 'post',
    data: data
  })
}


/** 报告更新 */
export function reportUpdate(data) {
  return request({
    url: '/tc/report/update',
    method: 'post',
    data: data
  })
}
